/* @import url('https://fonts.googleapis.com/css2?family=Ubuntu&display=swap'); */
/*
body{
    font-family: 'Ubuntu', sans-serif !important;
}
*/
body {
    /*
    background-image: url("../img/fondoIta.jpg"); 
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-color: #464646;
    background-size: 100% 100%;
    */
}

/*
button[type='submit']:hover,
button[type='submit']:active,
button[type='submit']:visited,
button[type='submit']:focus {
    color: #FFFFFF;
}
*/

.wrapper_imagen h1 {
    color: #ffffff;
    font-size: 60px;
    /*
    position: absolute;
    bottom: 0px;
    */
    text-shadow: 4px 4px 5px rgba(49, 49, 49, 0.3);
    text-align: left;
    /*
    padding-top: 45%;
    */
}

button[type='submit'] {
    border-radius: 8px !important;
    padding-top: 12px;
    padding-bottom: 12px;
}

.input-group .input-group-addon {
    border-top-left-radius: 8px !important;
    border-bottom-left-radius: 8px !important;
    background-color: #e8f0fe !important;
}

input.form-control {
    border-left: 0px !important;
    padding: 25px 20px !important;
    -webkit-box-shadow: 0px 0px 0px 0px rgba(224, 224, 224, 1) !important;
    -moz-box-shadow: 0px 0px 0px 0px rgba(224, 224, 224, 1) !important;
    box-shadow: 0px 0px 0px 0px rgba(224, 224, 224, 1) !important;
    border-color: #ddd !important;
    border-top-right-radius: 8px !important;
    border-bottom-right-radius: 8px !important;
    background-color: #e8f0fe !important;
}

/*
.row{
    padding-top:200px;
}
*/
/*
.wrapper_logo{
    display: flex;
    justify-content: center;
    align-items: end;
    height: 30vh;
    width: 100%;
}
*/
.wrapper_login {
    display: flex;
    flex-direction: column;
    /* nuevo */
    flex-wrap: nowrap;
    /* nuevo */
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
    align-content: normal;
    /* nuevo */
}

/*
#wrapLogo{
    width:60%;
}
*/

.wrapper_imagen {
    background-color: #d26f2c;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.wrapper_imagen img {
    width: 40% !important;
    /*
    position: absolute;
    box-sizing: border-box;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    */
}

.wrapper_login img {
    width: 25% !important;
    display: none;
    margin: 0 auto 20px;
}

#wrapLogin {
    background-color: #ffffff;
    width: 60%;
    border-radius: 16px;
    /*
    -webkit-box-shadow: 0px 4px 25px 0px rgba(224,224,224,1);
    -moz-box-shadow: 0px 4px 25px 0px rgba(224,224,224,1);
    box-shadow: 0px 4px 25px 0px rgba(224,224,224,1);
    */
    padding: 30px 25px;
}

.panel {
    background-color: transparent !important;
    margin-bottom: 0px !important;
    border: 0px !important;
    -webkit-box-shadow: 0px 0px 0px 0px rgba(224, 224, 224, 1) !important;
    -moz-box-shadow: 0px 0px 0px 0px rgba(224, 224, 224, 1) !important;
    box-shadow: 0px 0px 0px 0px rgba(224, 224, 224, 1) !important;
}

.panel-footer {
    text-align: right;
    background-color: transparent !important;
    border: 0px !important;
    color: #a7a7a7 !important;
}

.wrapper_alerta {
    position: relative;
    width: 60%;
}

.alert {
    /* visibility: hidden; */
    position: absolute;
    top: 0px;
    margin-top: 30px;
    border-radius: 8px !important;
    width: 100%;
}

/* Small devices (tablets, 768px and up) */
/* @media only screen and (min-device-width : 320px) and (max-device-width : 480px) { */
@media (max-width: 480px) {
    #wrapLogin {
        width: 85%;
    }

    .wrapper_login img {
        width: 35% !important;
    }

    .wrapper_alerta {
        width: 85%;
    }
}

@media (width >=1281px) {

    #wrapLogin,
    .wrapper_alerta {
        width: 50%;
    }
}

@keyframes fadeInDown {
    0% {
        opacity: 0;
        /* Empieza un poco más arriba (-20px) */
        transform: translate3d(0, -20px, 0);
    }

    100% {
        opacity: 1;
        /* Termina en su posición original */
        transform: translate3d(0, 0, 0);
    }
}

.logo-animado {
    /* Nombre de la animación definida en @keyframes */
    animation-name: fadeInDown;

    /* Duración: 0.8s a 1.2s es lo ideal para que sea suave pero rápida */
    animation-duration: 1s;

    /* Curva de velocidad: 'ease-out' hace que empiece rápido y desacelere al final (muy orgánico) */
    animation-timing-function: ease-out;

    /* Importante: Mantiene el estado final (opacity: 1) después de que termina la animación */
    animation-fill-mode: forwards;
}

.secret {
    background: #f0f0f0;
    padding: 10px;
    font-size: 20px;
    letter-spacing: 3px;
    font-weight: bold;
}